changeset 7966:ee31427caf20

RT-37996: [packager] RPM Builder can't find rpmbuild in non-english locales Summary: Just look for a version number, don't depend on language dependant cues.
author shemnon
date Wed, 10 Sep 2014 13:06:51 -0600
parents 8335da240a33
children 4fd7ffb45afb
files modules/fxpackager/src/main/java/com/oracle/tools/packager/linux/LinuxRpmBundler.java
diffstat 1 files changed, 1 insertions(+), 1 deletions(-) [+]
line wrap: on
line diff
--- a/modules/fxpackager/src/main/java/com/oracle/tools/packager/linux/LinuxRpmBundler.java	Wed Sep 10 11:31:04 2014 -0600
+++ b/modules/fxpackager/src/main/java/com/oracle/tools/packager/linux/LinuxRpmBundler.java	Wed Sep 10 13:06:51 2014 -0600
@@ -145,7 +145,7 @@
 
             //TODO: Version is ignored; need to extract version string and compare!
             String content = new String(baos.toByteArray());
-            Pattern pattern = Pattern.compile("RPM version (\\d+\\.\\d+)");
+            Pattern pattern = Pattern.compile(" (\\d+\\.\\d+)");
             Matcher matcher = pattern.matcher(content);
             if (matcher.find()) {
                 String v = matcher.group(1);